## ros-lunar-rtt-rosclock 2.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rtt_rosclock)

find_package(catkin REQUIRED COMPONENTS roscpp rtt_ros rospack rostime cmake_modules rosgraph_msgs)

include_directories(include ${catkin_INCLUDE_DIRS} ${Xenomai_POSIX_INCLUDE_DIRS})

orocos_library(rtt_rosclock
  src/rtt_rosclock.cpp
  src/rtt_rosclock_sim_clock_thread.cpp
  src/rtt_rosclock_sim_clock_activity.cpp
  src/rtt_rosclock_sim_clock_activity_manager.cpp)
target_link_libraries(rtt_rosclock ${catkin_LIBRARIES})

orocos_service(sim_clock_activity_service
  src/rtt_rosclock_sim_clock_activity_service.cpp)
target_link_libraries(sim_clock_activity_service
  rtt_rosclock ${catkin_LIBRARIES})

# Link against Xenomai POSIX skin to get
if(OROCOS_TARGET STREQUAL "xenomai")
  list(APPEND CMAKE_MODULE_PATH  ${CMAKE_CURRENT_SOURCE_DIR}/config)
  find_package(XenomaiPosix REQUIRED)
  add_definitions(-D__XENO__)
  set_target_properties(rtt_rosclock PROPERTIES LINK_FLAGS "${XENOMAI_POSIX_LDFLAGS}")
  target_link_libraries(rtt_rosclock ${XENOMAI_POSIX_LIBRARIES})
endif()

orocos_service(rtt_rosclock_service src/rtt_rosclock_service.cpp)
target_link_libraries(rtt_rosclock_service rtt_rosclock ${catkin_LIBRARIES} )


orocos_generate_package(
  INCLUDE_DIRS include
  DEPENDS rostime
)

orocos_install_headers(
  DIRECTORY include/${PROJECT_NAME}/
)

=== debian/changelog ===
ros-lunar-rtt-rosclock (2.9.2-1xenial) xenial; urgency=high

  * Merge pull request #112 <https://github.com/orocos/rtt_ros_integration/issues/112> from honeybee-robotics-forks/fix-rtt-rosclock-thread-segfault into 2.9.2
    * rtt_rosclock: fixing isSelf segfault when using simclock with ownthread operation caller
  * Contributors: Johannes Meyer, Jonathan Bohren

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 14 May 2019 22:00:00 -0000

ros-lunar-rtt-rosclock (2.9.1-1xenial) xenial; urgency=high

  * Merge pull request #93 <https://github.com/orocos/rtt_ros_integration/issues/93> from ahoarau/xenomai3-support
    Xenomai 3 support
  * Contributors: Antoine Hoarau

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Wed, 15 Nov 2017 23:00:00 -0000

ros-lunar-rtt-rosclock (2.9.0-1xenial) xenial; urgency=high

  * fix xenomai rtt_now() fix PR`#41 <https://github.com/orocos/rtt_ros_integration/issues/41>`_
  * Added individual changelogs and bumped versions to 2.9.0
  * rtt_rosclock: adapted SimClockActivity to the updated ActivityInterface with the master-update-hook-vs-callback-queue patch (orocos-toolchain/rtt#91 <https://github.com/orocos-toolchain/rtt/issues/91>)
    Signed-off-by: Johannes Meyer <mailto:johannes@intermodalics.eu>
  * Contributors: Antoine Hoarau, Johannes Meyer

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Mon, 01 May 2017 22:00:00 -0000

ros-lunar-rtt-rosclock (2.8.6-1xenial) xenial; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 14 Nov 2017 23:00:00 -0000

ros-lunar-rtt-rosclock (2.8.5-1xenial) xenial; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Mon, 27 Mar 2017 22:00:00 -0000

ros-lunar-rtt-rosclock (2.8.4-1xenial) xenial; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Fri, 25 Nov 2016 23:00:00 -0000

ros-lunar-rtt-rosclock (2.8.3-1xenial) xenial; urgency=high

  * fix xenomai rtt_now() fix PR`#41 <https://github.com/orocos/rtt_ros_integration/issues/41>`_
  * Contributors: Antoine Hoarau

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 19 Jul 2016 22:00:00 -0000

ros-lunar-rtt-rosclock (2.8.2-1xenial) xenial; urgency=high

  * see rtt_ros_integratoin/CHANGELOG.rst <../rtt_ros_integration/CHANGELOG.rst>

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Thu, 11 Jun 2015 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-rtt-rosclock
Section: misc
Priority: extra
Maintainer: Orocos Developers <orocos-dev@lists.mech.kuleuven.be>
Build-Depends: debhelper (>= 9.0.0), libxml2-dev, ros-lunar-catkin, ros-lunar-cmake-modules, ros-lunar-ocl, ros-lunar-roscpp, ros-lunar-rospack, ros-lunar-rostime, ros-lunar-rtt, ros-lunar-rtt-rosgraph-msgs
Homepage: http://ros.org/wiki/rtt_ros_integration
Standards-Version: 3.9.2

Package: ros-lunar-rtt-rosclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxml2-dev, ros-lunar-cmake-modules, ros-lunar-ocl, ros-lunar-roscpp, ros-lunar-rospack, ros-lunar-rostime, ros-lunar-rtt, ros-lunar-rtt-rosgraph-msgs
Description: This package provides an RTT plugin to access different time measurements on a realtime host.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rtt-rosclock//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
